Skip to main content
`Ctrl`+`K`

# KSPGMRESGetRestart

Gets number of iterations at which GMRES (`KSPGMRES`, `KSPFGMRES`, `KSPPGMRES`, `KSPAGMRES`, `KSPDGMRES`, `KSPPIPEFGMRES`, and `KSPLGMRES`) restarts.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPGMRESGetRestart(KSP ksp, PetscInt *restart)

Not Collective

## Input Parameter

- ksp - the Krylov space solver context

## Output Parameter

- restart - integer restart value

## See Also

KSP: Linear System Solvers, `KSPGMRES`, `KSPSetTolerances()`, `KSPGMRESSetOrthogonalization()`, `KSPGMRESSetPreAllocateVectors()`, `KSPGMRESSetRestart()`, `KSPFGMRES`, `KSPLGMRES`, `KSPPGMRES`, `KSPAGMRES`, `KSPDGMRES`, `KSPPIPEFGMRES`

## Level

intermediate

## Location

src/ksp/ksp/impls/gmres/gmres.c

## Implementations

KSPGMRESGetRestart_FGMRES() in src/ksp/ksp/impls/gmres/fgmres/fgmres.c
KSPGMRESGetRestart_GMRES() in src/ksp/ksp/impls/gmres/gmres.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages